#ifndef _SIMPLEPOP3_H
#define _SIMPLEPOP3_H 1

#define MY_TRACE_PREFIX "SimplePOP3"
#define POP3_PORT 110
#define BUFSIZE 256

#include <sys/socket.h>
#include <netinet/in.h>
#include <netdb.h>
#include <trace.h>
#include "Arduino.h"

class SimplePOP3 {

 private:
	char hostname[BUFSIZE];
	char username[BUFSIZE];
	char password[BUFSIZE];
	char s_buf[BUFSIZE];
	char r_buf[BUFSIZE];
	
	struct hostent *host;
	struct servent *srv;
	struct sockaddr_in sa;
	int sock;
	
	int transmit( char *);
	char *receive(void);
	
 public:
 	SimplePOP3(void);
 	int begin(String, String, String, int);
 	int begin(String, String, String );
 	String sendCommand(String);
 	int stat(void);
 	void end(void);
 	~SimplePOP3(void);
};

#endif
